package fr.marouse.dto;

import java.util.List;

public class AgentDTO {

    private int numAgent;
    private String nomAgent;
    private String prenomAgent;
    private double salaire;
    private boolean estDirecteur;
    private AgenceDTO agence;
    private List<ClientDTO> clients;

    public AgentDTO(int numAgent, String nomAgent, String prenomAgent, double salaire, boolean estDirecteur, AgenceDTO agence) {
        this.numAgent = numAgent;
        this.nomAgent = nomAgent;
        this.prenomAgent = prenomAgent;
        this.salaire = salaire;
        this.estDirecteur = estDirecteur;
        this.agence = agence;
    }
    public AgentDTO() {}

    public int getNumAgent() {
        return numAgent;
    }
    public void setNumAgent(int numAgent) {
        this.numAgent = numAgent;
    }
    public String getNomAgent() {
        return nomAgent;
    }
    public void setNomAgent(String nomAgent) {
        this.nomAgent = nomAgent;
    }
    public String getPrenomAgent() {
        return prenomAgent;
    }
    public void setPrenomAgent(String prenomAgent) {
        this.prenomAgent = prenomAgent;
    }
    public double getSalaire() {
        return salaire;
    }
    public void setSalaire(double salaire) {
        this.salaire = salaire;
    }
    public boolean isEstDirecteur() {
        return estDirecteur;
    }
    public void setEstDirecteur(boolean estDirecteur) {
        this.estDirecteur = estDirecteur;
    }
    public AgenceDTO getAgence() {
        return agence;
    }
    public void setAgence(AgenceDTO agence) {
        this.agence = agence;
    }

    public List<ClientDTO> getClients() {
        return clients;
    }

    public void setClients(List<ClientDTO> clients) {
        this.clients = clients;
    }
}